Index: crup-runner.sh |
diff --git a/crup-runner.sh b/crup-runner.sh |
index 987dcc2939f6556686ff1746cbc681fa5e737f15..b82206727f65583b8c0170c5381f7e6c2505b713 100755 |
--- a/crup-runner.sh |
+++ b/crup-runner.sh |
@@ -64,6 +64,12 @@ solution="${1%%/*}" |
cd "$solution" |
if [ "$solution" = "$1" ]; then |
+ # Skip git checkouts not managed by crup. |
+ if ! grep -q -s "The Chromium Authors" ".git/description"; then |
+ echo "Skipping unmanaged git directory $1" 1>&2 |
+ exit 0 |
+ fi |
+ |
# Don't "pull" if checkout is not on a named branch |
shift |
if test "$2" = "pull" && ( ! git symbolic-ref HEAD >/dev/null 2>/dev/null ); then |